# server image

A server image is a disk image created from a running server instance. The image is created in the Image store.

Compute v2

## server image create

Create a new server disk image from an existing server

    openstack server image create
        [--name <image-name>]
        [--property <key=value>]
        [--wait]
        <server>

--name <image-name>

  Name of new disk image (default: server name)

--property <key=value>

  Set a new property to meta_data.json on the metadata server (repeat option to set multiple values)

--wait

  Wait for operation to complete

server

  Server to create image (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.